summaryrefslogtreecommitdiff
path: root/git
diff options
context:
space:
mode:
authorThomas Penteker <tek@serverop.de>2017-07-28 14:36:52 +0200
committerThomas Penteker <tek@serverop.de>2017-07-28 14:36:52 +0200
commit1930daffc96681859156685cc94a5e283d810b17 (patch)
tree11088b0e7bfa28971aeaba281f3ee63ec1f06a2f /git
parente1fcbb56ad9c2bb902f61e825b0aabd3085ae998 (diff)
downloadopt-1930daffc96681859156685cc94a5e283d810b17.tar.gz
opt-1930daffc96681859156685cc94a5e283d810b17.tar.xz
git: also, track gitd.rc via git
Diffstat (limited to 'git')
-rwxr-xr-xgit/gitd.rc39
1 files changed, 39 insertions, 0 deletions
diff --git a/git/gitd.rc b/git/gitd.rc
new file mode 100755
index 000000000..4416ce4ce
--- /dev/null
+++ b/git/gitd.rc
@@ -0,0 +1,39 @@
+#!/bin/sh
+#
+# /etc/rc.d/gitd: start/stop the git daemon
+#
+
+REPOS=/var/lib/git
+USR=git
+
+SSD=/sbin/start-stop-daemon
+PROG=/usr/lib/git-core/git-daemon
+PID=/var/run/gitd.pid
+OPTS="--export-all --base-path=$REPOS $REPOS"
+
+case $1 in
+start)
+ $SSD --start -c $USR -b -m --pidfile $PID --exec $PROG -- $OPTS
+ ;;
+stop)
+ $SSD --stop --retry 10 --pidfile $PID --remove-pidfile
+ ;;
+restart)
+ $0 stop
+ $0 start
+ ;;
+status)
+ $SSD --status --pidfile $PID
+ case $? in
+ 0) echo "$PROG is running with pid $(cat $PID)" ;;
+ 1) echo "$PROG is not running but the pid file $PID exists" ;;
+ 3) echo "$PROG is not running" ;;
+ 4) echo "Unable to determine the program status" ;;
+ esac
+ ;;
+*)
+ echo "usage: $0 [start|stop|restart|status]"
+ ;;
+esac
+
+# End of file

Generated by cgit